### Constructor

# Gegl Node new

#### Declaration [src]

    GeglNode*
    gegl_node_new (
      void
    )

#### Description [src]

Create a new graph that can contain further processing nodes.

#### Return value

Type: `GeglNode`

A new top level `GeglNode` (which can be used as a graph). When you are done using this graph instance it should be unreferenced with g_object_unref. This will also free any sub nodes created from this node.

The caller of the function takes ownership of the data, and is responsible for freeing it.